require 'puppet/provider'
require 'puppet/equallogic/util'

class Puppet::Provider::Equallogic < Puppet::Provider

  $module_path = Pathname.new(__FILE__).parent.parent.parent.parent
  $python_file_path = File.join($module_path,"files","pythonEquallogic.py")
  $volume_file_path = File.join($module_path,"files","volume")

  def transport
    @transport ||= Puppet::Equallogic::Util.get_transport
  end

end
