require 'spec_helper'
require 'rspec/expectations'

describe Puppet::Type.type(:equallogic_volume_chap_user).provider(:equallogic_volume_chap_user) do
  let(:resource) {Puppet::Type.type(:equallogic_volume_chap_user).new(
      {
          :name              => 'TestVol2',
          :volume_name       => 'TestVol',
          :ensure             => 'present',
      }
  )}
  let(:provider) {resource.provider}

  before :each do
    @fixture_dir = File.join(Dir.pwd,'spec','fixtures')
    Puppet::Equallogic::Util.stub(:get_transport).and_return({
                                                                 :host => '172.17.4.10',
                                                                 :user => 'grpadmin',
                                                                 :password => 'password'
                                                             })
  end
  #TODO This module is broken (not used currently in ASM)
  describe 'exists?' do
    context 'when the volume exists' do
      it 'returns true' do

      end
    end
    context 'when the volume does not exist' do
      it 'returns false' do

      end
    end
  end

  describe 'create' do
    it 'creates a cloned volume' do

    end
  end

  describe 'destroy' do
    it 'destroys a cloned volume' do

    end
  end

end